# MPI_File_get_position

## NAME

MPI_File_get_position − Returns the current position of the individual file pointer.

## SYNTAX

C Syntax
#include <mpi.h>
int MPI_File_get_position(MPI_File fh, MPI_Offset *offset)

## Fortran Syntax (see FORTRAN 77 NOTES)

INCLUDE ’mpif.h’
MPI_FILE_GET_POSITION(FH, OFFSET, IERROR)

|  | INTEGER FH, IERROR
|  | INTEGER(KIND=MPI_OFFSET_KIND) OFFSET

## C++ Syntax

#include <mpi.h>
MPI::Offset MPI::File::Get_position() const

## INPUT PARAMETER

| fh |  | File handle (handle). |

## OUTPUT PARAMETERS

| offset |  | Offset of the individual file pointer (integer). |
| IERROR |  | Fortran only: Error status (integer). |

## DESCRIPTION

MPI_File_get_position returns, in offset, the current position of the individual file pointer in etype units relative to the current displacement and file type.

## FORTRAN 77 NOTES

The MPI standard prescribes portable Fortran syntax for the OFFSET argument only for Fortran 90. Sun FORTRAN 77 users may use the non-portable syntax

INTEGER*MPI_OFFSET_KIND OFFSET

where MPI_ADDRESS_KIND is a constant defined in mpif.h and gives the length of the declared integer in bytes.

## ERRORS

Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI:Exception object.

Before the error value is returned, the current MPI error handler is called. For MPI I/O function errors, the default error handler is set to MPI_ERRORS_RETURN. The error handler may be changed with MPI_File_set_errhandler; the predefined error handler MPI_ERRORS_ARE_FATAL may be used to make I/O errors fatal. Note that MPI does not guarantee that an MPI program can continue past an error.

MPI API Index